Novell Home

CVE-2014-2284

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-2284 at MITRE

Description

The Linux implementation of the ICMP-MIB in Net-SNMP 5.5 before 5.5.2.1, 5.6.x before 5.6.2.1, and 5.7.x before 5.7.2.1 does not properly validate input, which allows remote attackers to cause a denial of service via unspecified vectors.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entry: 866942, 875217

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CORE 9 for AMD64 and Intel EM64T
  • net-snmp >= 5.1.3.1-0.30
  • net-snmp-32bit >= 9-201403192243
  • net-snmp-devel >= 5.1.3.1-0.30
  • perl-SNMP >= 5.1.3.1-0.30
Builds
YOU Patch Nr: 13000
SLE 11 SP3 DEBUGINFO
  • net-snmp-debuginfo >= 5.4.2.1-8.12.20.1
  • net-snmp-debugsource >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Software Development Kit 11 SP3
  • net-snmp-devel >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Software Development Kit 11 SP3
  • net-snmp-devel >= 5.4.2.1-8.12.20.1
  • net-snmp-devel-32bit >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libsnmp15-32bit >= 5.4.2.1-8.12.20.1
  • net-snmp-devel >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libsnmp15 >= 5.4.2.1-8.12.20.1
  • net-snmp >= 5.4.2.1-8.12.20.1
  • perl-SNMP >= 5.4.2.1-8.12.20.1
  • snmp-mibs >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Server 11 SP3
  • libsnmp15 >= 5.4.2.1-8.12.20.1
  • libsnmp15-x86 >= 5.4.2.1-8.12.20.1
  • net-snmp >= 5.4.2.1-8.12.20.1
  • perl-SNMP >= 5.4.2.1-8.12.20.1
  • snmp-mibs >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libsnmp15 >= 5.4.2.1-8.12.20.1
  • libsnmp15-32bit >= 5.4.2.1-8.12.20.1
  • net-snmp >= 5.4.2.1-8.12.20.1
  • perl-SNMP >= 5.4.2.1-8.12.20.1
  • snmp-mibs >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9015
SUSE Linux Enterprise Server 11 SP1
  • net-snmp-debuginfo >= 5.4.2.1-8.12.20.1
Builds
SAT Patch Nr: 9014

© 2014 Novell